Loading...
Searching...
No Matches
Dune::Functions::CubicHermiteNode< GV, R, reduced > Class Template Reference

`#include <dune/functions/functionspacebases/cubichermitebasis.hh>`

Inheritance diagram for Dune::Functions::CubicHermiteNode< GV, R, reduced >:

## Public Types

using | size_type = std::size_t
using | Element = typename GV::template Codim<0>::Entity
using | FiniteElement = typename Impl::CubicHermiteLocalFiniteElement<typename GV::ctype, R, GV::dimension, reduced>

## Public Member Functions

| CubicHermiteNode (Mapper const &m, std::vector< typename GV::ctype > const &averageVertexMeshSize)
Element const & | element () const
| Return current element, throw if unbound.
FiniteElement const & | finiteElement () const
| Return the LocalFiniteElement for the element we are bound to.
void | bind (Element const &e)
| Bind to element.
unsigned int | order () const
| The order of the local basis.
size_type | localIndex (size_type i) const
size_type | size () const
| Obtain the number of basis function in the local node.
bool | empty () const
| Check if the node is empty.
size_type | treeIndex () const

## Static Public Member Functions

static constexpr auto | degree ()

## Static Public Attributes

static const bool | isLeaf = true
static const bool | isPower = false
static const bool | isComposite = false

## Protected Member Functions

size_type | offset () const
void | setOffset (const size_type offset)
void | setSize (const size_type size)
void | setTreeIndex (size_type treeIndex)

## Protected Attributes

FiniteElement | finiteElement_
Element const * | element_
Mapper const * | vertexMapper_
std::vector< typename GV::ctype > const * | averageVertexMeshSize_

## Member Typedef Documentation

## Element

template<class GV, class R, bool reduced>

using Dune::Functions::CubicHermiteNode< GV, R, reduced >::Element = typename GV::template Codim<0>::Entity

## FiniteElement

template<class GV, class R, bool reduced>

using Dune::Functions::CubicHermiteNode< GV, R, reduced >::FiniteElement = typename Impl::CubicHermiteLocalFiniteElement<typename GV::ctype, R, GV::dimension, reduced>

## size_type

template<class GV, class R, bool reduced>

using Dune::Functions::CubicHermiteNode< GV, R, reduced >::size_type = std::size_t

## Constructor & Destructor Documentation

## CubicHermiteNode()

template<class GV, class R, bool reduced>

Dune::Functions::CubicHermiteNode< GV, R, reduced >::CubicHermiteNode | ( | Mapper const & | m,
|  | std::vector< typename GV::ctype > const & | averageVertexMeshSize )

inline

## Member Function Documentation

## bind()

template<class GV, class R, bool reduced>

void Dune::Functions::CubicHermiteNode< GV, R, reduced >::bind | ( | Element const & | e | ) |

inline

Bind to element.

## degree()

constexpr auto Dune::Functions::LeafBasisNode::degree | ( |  | ) |

inline static constexpr inherited

## element()

template<class GV, class R, bool reduced>

Element const & Dune::Functions::CubicHermiteNode< GV, R, reduced >::element | ( |  | ) | const

inline

Return current element, throw if unbound.

## empty()

bool Dune::Functions::BasisNodeMixin::empty | ( |  | ) | const

inline inherited

Check if the node is empty.

This is equivalent to size()==0. Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## finiteElement()

template<class GV, class R, bool reduced>

FiniteElement const & Dune::Functions::CubicHermiteNode< GV, R, reduced >::finiteElement | ( |  | ) | const

inline

Return the LocalFiniteElement for the element we are bound to.

The LocalFiniteElement implements the corresponding interfaces of the dune-localfunctions module

## localIndex()

size_type Dune::Functions::BasisNodeMixin::localIndex | ( | size_type | i | ) | const

inline inherited

## offset()

size_type Dune::Functions::BasisNodeMixin::offset | ( |  | ) | const

inline protected inherited

## order()

template<class GV, class R, bool reduced>

unsigned int Dune::Functions::CubicHermiteNode< GV, R, reduced >::order | ( |  | ) | const

inline

The order of the local basis.

## setOffset()

void Dune::Functions::BasisNodeMixin::setOffset | ( | const size_type | offset | ) |

inline protected inherited

## setSize()

void Dune::Functions::BasisNodeMixin::setSize | ( | const size_type | size | ) |

inline protected inherited

## setTreeIndex()

void Dune::Functions::BasisNodeMixin::setTreeIndex | ( | size_type | treeIndex | ) |

inline protected inherited

## size()

size_type Dune::Functions::BasisNodeMixin::size | ( |  | ) | const

inline inherited

Obtain the number of basis function in the local node.

Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## treeIndex()

size_type Dune::Functions::BasisNodeMixin::treeIndex | ( |  | ) | const

inline inherited

## Member Data Documentation

## averageVertexMeshSize_

template<class GV, class R, bool reduced>

std::vector<typename GV::ctype> const* Dune::Functions::CubicHermiteNode< GV, R, reduced >::averageVertexMeshSize_

protected

## element_

template<class GV, class R, bool reduced>

Element const* Dune::Functions::CubicHermiteNode< GV, R, reduced >::element_

protected

## finiteElement_

template<class GV, class R, bool reduced>

FiniteElement Dune::Functions::CubicHermiteNode< GV, R, reduced >::finiteElement_

protected

## isComposite

const bool Dune::Functions::LeafBasisNode::isComposite = false

static inherited

## isLeaf

const bool Dune::Functions::LeafBasisNode::isLeaf = true

static inherited

## isPower

const bool Dune::Functions::LeafBasisNode::isPower = false

static inherited

## vertexMapper_

template<class GV, class R, bool reduced>

Mapper const* Dune::Functions::CubicHermiteNode< GV, R, reduced >::vertexMapper_

protected

The documentation for this class was generated from the following file:

- cubichermitebasis.hh